## MySQL LVM Backup Provider - Requires holland-mysqllvm
##
## All settings have generated defaults so nothing need be configured here
## Instead, it is best to make changes in a specific backup-set.

[mysql-lvm]
## The size of the snapshot itself. By default it is 20% of the size of
## the MySQL LVM mount or the remaining free-space in the Volume Group
## (if there is less than 20% available) up to 15GB.
##
## If snapshot-size is defined, the number represents the size of the 
## snapshot in megabytes.
snapshot-size = ""

## The name of the snapshot, the default being the name of the MySQL LVM
## volume + "_snapshot" (ie Storage-MySQL_snapshot)
snapshot-name = "" # no default

## Where to mount the snapshot. By default a randomly generated directory
## under /tmp is used.
snapshot-mountpoint = "" # no default

## Whether or not to run an InnoDB recovery operation. This avoids needing
## to do so during a restore, though will make the backup process itself
## take longer.
innodb-recovery = False

## Whether or not to run a FLUSH TABLES WITH READ LOCK to grab various
## bits of information (such as the binary log name and position). Disabling
## this requires that binary logging is disabled and InnoDB is being used
## exclusively. Otherwise, it is possible that the backup could contain
## crashed tables.
lock-tables = True

## Whether or not to run a FLUSH TABLES before running the full 
## FLUSH TABLES WITH READ LOCK. Should make the FLUSH TABLES WITH READ LOCK
## operation a bit faster.
extra-flush-tables = True

[compression]
method = gzip
level = 1

[mysql:client]
defaults-file = /root/.my.cnf
#user         = hollandbackup
#password     = "hollandpw"
#socket       = /tmp/mysqld.sock
#host         = localhost
#port         = 3306
